Score report

This API allows the user to generate a detailed report of Driver Scores. Each request provides you with an average score for the date you have requested for a driver.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Sample Request

https://services.azuga.com/reports/v3/reports/score?appId=FLEET

{
    "index": 0,
    "size": 100,
    "desc": false,
    "filter": {
        "orFilter": {},
        "matchFilter": {
            "driverIds": [
                "efb95b19-aa39-11e8-9e50-e9ec05ba9f88"
            ]
        }
    },
    "startDate": "2022-10-16T04:00:00.000Z",
    "endDate": "2022-10-17T03:59:59.999Z",
    "reportFilter": "default",
    "browserTimezone": "US/Eastern"
}

API Response explanation

FieldsDescriptionData Type
customerIdThe unique identifier with which the customer is associated.Long
userIdThe unique identifier assigned to the current user.String
employeeIdThe unique identifier by the client organization to identify the current user.String
firstNameFirst name of the driver.String
lastNameLast name of the driver.String
userNameThe user name associated with the driver.String
emailThe email address associated with the driver’s account.String
groupIdThe unique identifier(s) of the group(s) to which the associated driver belongs.String
groupNameThe name(s) of the group(s) to which the associated driver belongs.String
parentGroupNameThe name of the parent group with which the driver’s group is associated.String
profilePictureThe URL of the driver’s image.String
foreParentGroupNameThe name of the fore-parent group with which the driver’s group is associated.String
slotFor Azuga internal useDate
slotStrFor Azuga internal useString
maxSlotFor Azuga internal useString
averageDaysFor Azuga internal useInteger
companyRankFor Azuga internal useInteger
groupRankThe rank calculated for the driver based on each groupInteger
vehicleIdThe unique identifier representing the vehicle.String
vehicleNameThe vehicle name associated with the driver.String
vehicleIdsArray of unique identifiers of the vehicleSet<String>
vehicleNamesArray of vehicle namesSet<String>
noOfDaysFor Azuga internal useInteger
driveTimeThe time duration (in seconds) of driving detected for the associated driver.Long
idleTimeThe time duration (in seconds) of idling detected for the associated driver.Long
distanceTravelledThe total distance traveled by the associated driver in the given time range. The unit is based on the distance preference(KM/Miles) updated for the account.double
scoreThe total score secured by the driverdouble
accelerationScore

The scorecalculated according to the number of times acceleration events have been detected for the associated driver.

Highest score: 100

double
brakingScore

The scorecalculated according to the number of times hard braking events have been detected for the associated driver.

Highest score: 100

double
speedingScore

The scorecalculated according to the number of times speeding eventshave been detected for the associated driver.

Highest score: 100

double
idlingScore

The scorecalculated according to the number of times Idling eventshave been detected for the associated driver.

Highest score: 100

double
driverSeatBeltPercentageThe percentagecalculated on the basis of the number of instances the associated driver was wearing his seatbelt.Integer
corneringScore

The scorecalculated according to the number of times cornering eventshave been detected for the associated driver.

Highest score: 100

Double
distractedDrivingScoreThe scorecalculated according to the number of times** cornering events *_has been detected for the associated driver.
  • Highest score: 100*
Double
seatBeltScore

The scorecalculated according to the percentage of times the associated driver was wearing his/her seatbelt.

Highest score: 100

Double
overSpeedingCountThe number of overspeeding events that has been detected for the associated driver.Double
hardBrakingCountThenumber of hard braking events that have been detected for the associated driver.Integer
hardCoreBrakingCountThe number of hardcore braking events that has been detected for the associated driver.Integer
hardAccelarationCountThenumber of hard acceleration eventsthat have been detected for the associated driver.Integer
corneringEventCountThe number of cornering events that has been detected for the associated driver.Integer
pslEventCountThe number of posted speed limits events that has been detected for the associated driver.Integer
distractedDrivingCountThenumber of timesthe associated driver was distracted while driving.Integer
idlingEventCountThe number of idling eventsthat has been detected for the associated driver.Integer
speedingDurationSpeeding duration of the driverInteger
overSpeedingDurationThe over speeding duration that has been detected for the associated driver.Integer
Query Params
string
required
Defaults to FLEET

Set the appId to "FLEET"

Body Params
date-time
required
Defaults to 2023-03-02T15:46:48.285Z

The start date of the Scores reports you want to generate in YYYY-MM-DDTHH:mm:ss:SSSZ format

date-time
required
Defaults to 2023-03-02T15:46:48.285Z

The end date of the Scores reports you want to generate in YYYY-MM-DDTHH:mm:ss:SSSZ format

string
required
Defaults to US/Eastern

Local timezone of the user. The following timezones are valid: Canada/Central : CDT/CST ; US/Pacific : PDT/PST ; US/Eastern : EDT/EST ; US/Mountain : MDT/MST ; Etc/Greenwich : GMT ; Asia/Calcutta : IST ; US/Hawaii : HDT/HST ; US/Alaska : AKDT/AKST ; America/Phoenix : MST ; Mexico/General : CST/CDT ; Mexico/BajaSur : MST/MDT ; Mexico/BajaNorte : PST/PDT ; Canada/Newfoundland : NST/NDT ; America/Puerto_Rico : AST ; America/Chicago : CDT/CST ; America/Argentina/Buenos_Aires : ART

filter
object

Allows the user to add various filters to the report. orFilter and matchFilter are the valid ones

string
required
Defaults to default

Set this to "default"

int32
Defaults to 0

An integer indicating the page number starts with 0.

int32
Defaults to 50

The number of search results on a page.

boolean

Boolean value denoting the search results order (descending or ascending order according to the drivers’ score).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json